# The mapping of realms to authenticator modules

$debug_level = 0;

# TODO: realm alias support?

$realms = {

    "example.com", {
        # This one is required by the authenticator to find the correct driver
        driver => 'LDAP',

        # These 2 are required by the driver itself in order to correctly
        # open a connection - regardless of the selected protocol
        host => 'ldap.example.com',
        dnstring => 'uid=%{uid},ou=People,ou=System,dc=example,dc=com',

        # The remaining parameters are optional

        # Protocol defaults to 'ldap', can also be 'ldaps'
        # protocol => 'ldap',

        # Port defaults to the default port depending on
        # the selected protocol (ldap or ldap+tls = 389, ldaps = 636)
        # port => '389',

        # These control the SSL/TLS certificates needed - ldap protocol
        # will cause automatic TLS negotiation if any of these are set.
        #
        # The following are the assumed defaults if LDAPS or TLS is used:
        #
        # If none of these are set, verify defaults to 'none'.  If verify 
        # is 'none', but a ca certificate or path is given, verify is 
        # upgraded to 'optional'.  If no key is given, the key is assumed 
        # to be stored in the same client certificate. Client certificates
        # are not required (unless the server asks for them...).

        # cert => 'client.example.com.pem',
        # key => 'client.example.com.key',
        # cacert => 'example.com.cert',
        # capath => '/etc/ssl/authorities',
        # verify => 'required',
    },

};

